Class | Tk::Tcllib::Datefield
In: | tk/lib/tkextlib/tcllib/datefield.rb
Parent: | TkEntry

### Methods

package_name package_version

### Constants

PACKAGE_NAME | = | 'datefield'.freeze
TkCommandNames | = | ['::datefield::datefield'.freeze].freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/datefield.rb, line 29
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/datefield.rb, line 33
          def self.package_version
            begin
              TkPackage.require('datefield')
            rescue
              ''
            end
          end

[Validate]